> ## Documentation Index
> Fetch the complete documentation index at: https://andrewsiah.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Plant

> Deletes a single plant based on the ID supplied



## OpenAPI

````yaml DELETE /plants/{id}
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /plants/{id}:
    delete:
      description: Deletes a single plant based on the ID supplied
      parameters:
        - name: id
          in: path
          description: ID of plant to delete
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '204':
          description: Plant deleted
          content: {}
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````